WordPress 4.8.2 Güvenlik ve Bakım Sürümü

By | 21 Eylül 2017

Dünyanın en çok kullanılan açık kaynak kodlu web sitesi yazılımı olan WordPress en son yayınlamış olduğu 4.8 versiyonunun ardından, 19 Eylül itibariyle WordPress 4.8.2 güvenlik ve bakım güncellemesini kullanıcılarına sundu.

WordPress 4.8.1 ve daha önceki sürümlerde aşağıdaki güvenlik açıkları olabilir;

  1. $wpdb->prepare() ile potansiyel SQL enjeksiyonuna yol açan beklenmedik ve güvensiz sorgular oluştu. WordPress çekirdeği bu soruna doğrudan açık değil fakat eklentilerin ve temaların aktivasyonuyla beraber ciddi güvenlik açıkları oluşturması muhtemel.
  2. OEmbed keşfinde bir siteler arası komut dosyası (XSS) güvenlik açığı bulundu.
  3. Görsel editörde bir siteler arası komut dosyası (XSS) güvenlik açığı keşfedilmiştir.
  4. Dosya açma kodunda bir yol geçişi açığı keşfedilmiştir.
  5. Eklenti düzenleyicisinde bir siteler arası komut dosyası çalıştırma (XSS) güvenlik açığı bulundu.
  6. Kullanıcı ve terim düzenleme ekranlarında açık bir yönlendirme keşfedildi.
  7. Özelleştiricide yol geçişi güvenlik açığı keşfedilmiştir.
  8. Şablon adlarında çapraz site komut dosyası (XSS) güvenlik açığı bulundu.
  9. Bağlantı modeli içinde bir çapraz site komut dosyası (XSS) güvenlik açığı bulundu.

Yukarıdaki güvenlik sorunlarına ek olarak, WordPress 4.8.2 sürümü toplamda 6 bakım ve onarım güncellemesi içerir. Oluşan açık ve buglar sebebiyle web sitenizin zarara uğramaması adına WordPress sisteminizi her daim güncel tutmanızı şiddetle tavsiye ederiz.

WordPress 4.8.2 sürümünü bu bağlantıya tıklayarak indirebilir veya Kontrol Paneli > Başlangıç > Güncellemeler sekmesinden “Şimdi Güncelle” bağlantısı ile yükseltebilirsiniz.

Bir Cevap Yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir